#ifndef __ADJACENCYMATRIX_H_
#define __ADJACENCYMATRIX_H_

#include <vector>
#include <string>

class AdjacencyMatrix {
  protected:
    typedef std::vector< bool > RowType;
    typedef std::vector< RowType > MatrixType;
    MatrixType data;
    bool good;
    unsigned int dimension;
    std::string filename;

  public:
    AdjacencyMatrix( std::string filename );
    MatrixType getData() const;
    bool isGood() const;
    unsigned int getDimension() const;
    std::string getFilename() const;
};

#endif /* __ADJACENCYMATRIX_H_ */
